#include "FastVaultInteractionPerk.h"
#include "Net/UnrealNetwork.h"

void UFastVaultInteractionPerk::OnIntroCompleted()
{

}

void UFastVaultInteractionPerk::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UFastVaultInteractionPerk, _canPerformPerk);
}

UFastVaultInteractionPerk::UFastVaultInteractionPerk()
{
	this->_perkFastVaultWindowInteractionClass = NULL;
	this->_defaultFastVaultWindowInteractionClass = NULL;
	this->_perkFastVaultPalletLeftInteractionClass = NULL;
	this->_perkFastVaultPalletRightInteractionClass = NULL;
	this->_defaultFastVaultPalletInteractionClass = NULL;
}
